Subject: ADS web site hosting, registering
From: "Jim Kirchstein" <[email-masked]>
To: "Kay Price" <[email-masked]>
Date: Tue, 17 May 2011 14:57:45 -0500

The blog is up to date and paid up for a year. I will make a final accounting for hosting, registering costs balance against what I owe, soon.
I talked with Ben Miller at the Sauk Library about accepting a donation of audio video/visual equipment that would be used by the library, ADS, and other service groups in Sauk Prairie, and he is agreeable to accepting.
This is equipment in addition to what I have screened and purchased for ADS.

The derleth, org hosting is gratis from Char & Bart.
KayPrice.com I paid up for 4 years.
All domains were up for renewal or would have been lost, so I didn't want to chance anything.

I will be considering selling several master tapes, including Aug's, Gunnar Johansens, Bhorad's. So far, Johansen's is bringing $10K per master.

Later